﻿#region << 版 本 注 释 >>
/*--------------------------------------------------------------------
* 版权所有 (c) 2024 WenJY 保留所有权利。
* CLR版本：4.0.30319.42000
* 机器名称：LAPTOP-E0N2L34V
* 命名空间：SlnMesnac.Rfid.Enum
* 唯一标识：496f8d2b-70e3-4a05-ae18-a9b0fcd06b82
*
* 创建者：WenJY
* 电子邮箱：wenjy@mesnac.com
* 创建时间：2024-03-27 21:58:35
* 版本：V1.0.0
* 描述：
*
*--------------------------------------------------------------------
* 修改人：
* 时间：
* 修改说明：
*
* 版本：V1.0.0
*--------------------------------------------------------------------*/
#endregion << 版 本 注 释 >>
namespace SlnMesnac.Rfid.Enum
{
    public enum RecvState
    {
        //RFly-I160 返回数据 BB DD 00 01 40 41 0D
        WaitingBeginChar1_State = 1,         //等待接收帧同步字符1 0xBB
        WaitingBeginChar2_State = 2,         //等待接收帧同步字符2 0xDD
        WaitingForBarcodeLength_State = 3,  //等待条码长度不固定
        WaitingForCode_State = 4,           //等待指令编号Code 0x02
        WaitingForStus_State = 5,           //等待接受状态码 0x00
        WaitingForTagCount_State = 6,           //等待接受标签组数不固定
        WaitingForCount_State = 7,          //等待接收第一组标签读取次数 0x01
        WaitingForRSSI_State = 8,           //等待接收读取信号强度 0xCB
        WaitingForAnt_State = 9,           //等待接收天线端口 0x01
        WaitingForPC1_State = 10,           //等待接收EPC区域 0x00
        WaitingForPC2_State = 11,           //等待接收EPC区域 0x00
        WaitingForData_State = 12,          //等待接收数据字符
        WaitingForXor_State = 13,           //等待比对校验位
        WaitingForEndChar_State = 14,        //等待接收尾字符	0x0D
    }
}