﻿using System;
using System.Collections.Generic;
using SlnMesnac.Model.dto;

#region << 版 本 注 释 >>
/*--------------------------------------------------------------------
* 版权所有 (c) 2024 WenJY 保留所有权利。
* CLR版本：4.0.30319.42000
* 机器名称：LAPTOP-E0N2L34V
* 命名空间：SlnMesnac.Rfid
* 唯一标识：496f8d2b-70e3-4a05-ae18-a9b0fcd06b82
*
* 创建者：WenJY
* 电子邮箱：wenjy@mesnac.com
* 创建时间：2024-03-27 21:58:35
* 版本：V1.0.0
* 描述：
*
*--------------------------------------------------------------------
* 修改人：
* 时间：
* 修改说明：
*
* 版本：V1.0.0
*--------------------------------------------------------------------*/
#endregion << 版 本 注 释 >>
namespace SlnMesnac.Rfid
{
    /// <summary>
    /// RFID抽象工厂
    /// </summary>
    public abstract class RfidAbsractFactory
    {
        /// <summary>
        /// 建立连接
        /// </summary>
        /// <param name="ip"></param>
        /// <param name="port"></param>
        /// <returns></returns>
        public abstract bool Connect(string ip, int port);

        /// <summary>
        /// 按时间段盘点
        /// </summary>
        /// <param name="timeout"></param>
        /// <returns></returns>
        public abstract List<TagInfo> TimePeriodRead(int timeout = 5000);
    }
}